> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/products/web-scraper-api/features/result-processing-and-storage/dedicated-parsers.md).

# Dedicated Parsers

For some sources of Web Scraper API, we have developed dedicated parsers. If you want to get structured data,  add the `parse` parameter and set it to `true`. Find more details in the respective target pages.

<table><thead><tr><th width="180.33333333333331">Target</th><th width="294">Sources</th><th>Types</th></tr></thead><tbody><tr><td><a href="/spaces/BaJCXoqO1zdFnaMnCKrg/pages/R2fZ2ApzQ6dZ8ZMeOpcN"><strong>Amazon</strong></a></td><td><code>amazon</code>,<br><code>amazon_search</code>,<br><code>amazon_product</code>,<br><code>amazon_pricing</code>,<br><code>amazon_bestsellers</code>,<br><code>amazon_sellers</code></td><td><p>Search</p><p>Product</p><p>Offer listing</p><p>Best sellers</p><p>Sellers</p></td></tr><tr><td><a href="/spaces/BaJCXoqO1zdFnaMnCKrg/pages/ISyQMQli8hlrwctJhsAr"><strong>Google</strong></a></td><td><code>google</code>,<br><code>google_search</code>,<br><code>google_ai_mode</code>,<br><code>google_ads</code>,<br><code>google_lens</code>,<br><code>google_shopping_search</code>,<br><code>google_shopping_product</code></td><td><p>Web search</p><p>Image search</p><p>News search<br>AI Overviews</p><p>AI Mode<br>Maximum ad rate</p><p>Lens search<br>Google Shopping search</p><p>Google Shopping product</p></td></tr><tr><td><a href="/spaces/BaJCXoqO1zdFnaMnCKrg/pages/aZztMmhf4QpVNVmP6x5V"><strong>YouTube</strong></a></td><td><code>youtube_search</code>,<br><code>youtube_video_trainability</code>,<br><code>youtube_metadata</code>,<br><code>youtube_subtitles</code>,<br><code>youtube_channel</code></td><td>Search<br>Video Trainability<br>Video Metadata<br>Video Subtitles<br>Channel</td></tr><tr><td><a href="/spaces/BaJCXoqO1zdFnaMnCKrg/pages/aDj8WgHNtNIgmhbbOyZO"><strong>ChatGPT</strong></a></td><td><code>chatgpt</code></td><td>Chat</td></tr><tr><td><a href="/spaces/BaJCXoqO1zdFnaMnCKrg/pages/VXVoGSoH5MTbqZ1gBkrT"><strong>Perplexity</strong></a></td><td><code>perplexity</code></td><td>Chat</td></tr><tr><td><a href="/spaces/BaJCXoqO1zdFnaMnCKrg/pages/73eNAKzhETgsM48cMmtk"><strong>Bing</strong></a></td><td><code>bing</code>,<br><code>bing_search</code></td><td>Search</td></tr><tr><td><a href="/spaces/BaJCXoqO1zdFnaMnCKrg/pages/s5cbCZDUL9mO9ECi3Yrq"><strong>Walmart</strong></a><br></td><td><code>walmart</code>,<br><code>walmart_search</code>,<br><code>walmart_product</code></td><td><p>Search</p><p>Product</p><p></p></td></tr><tr><td><a href="/spaces/BaJCXoqO1zdFnaMnCKrg/pages/v2oGWmbKVrWEfXtqSr8T"><strong>Best Buy</strong></a></td><td><code>bestbuy_product</code></td><td>Product</td></tr><tr><td><a href="/spaces/BaJCXoqO1zdFnaMnCKrg/pages/JwnjVDP9hJESHIMLYue4"><strong>Etsy</strong></a></td><td><code>etsy</code>,<br><code>etsy_product</code></td><td>Product</td></tr><tr><td><a href="/spaces/BaJCXoqO1zdFnaMnCKrg/pages/sHUqw1rTKUAcvhsVoCWZ"><strong>Target</strong></a></td><td><code>target</code>,<br><code>target_search</code>,<br><code>target_product</code></td><td><p>Search</p><p>Product</p></td></tr></tbody></table>

{% hint style="success" %}
If you want to get parsed data from other targets, please use [**Custom Parser**](/products/web-scraper-api/features/custom-parser.md)**.**
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.oxylabs.io/products/web-scraper-api/features/result-processing-and-storage/dedicated-parsers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
